com.corticon.eclipse.studio.deployment.core

## Interface IDeploymentDialogAPI

- All Superinterfaces:
    IDialogAPI

      public interface IDeploymentDialogAPI
      extends IDialogAPI

  Interface for dialog "smarts" API that allows the client to control the deployment of Ruleflow assets to Corticon Server.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOOLEAN_VALUE_CHECKED`
    `static int` | `COLUMN_COUNT_DEPLOY`
    `static int` | `COLUMN_COUNT_DOWNLOAD`
    `static int` | `COLUMN_INDEX_DEPLOY_CHECK_MARK`
    `static int` | `COLUMN_INDEX_DEPLOY_DATABASE_ACCESS_MODE`
    `static int` | `COLUMN_INDEX_DEPLOY_DECISION_SERVICE_NAME`
    `static int` | `COLUMN_INDEX_DEPLOY_RETURN_ENTITIES_MODE`
    `static int` | `COLUMN_INDEX_DEPLOY_RULEFLOW_URI`
    `static int` | `COLUMN_INDEX_DEPLOY_STATUS`
    `static int` | `COLUMN_INDEX_DEPLOY_VERSION`
    `static int` | `COLUMN_INDEX_DOWNLOAD_CHECK_MARK`
    `static int` | `COLUMN_INDEX_DOWNLOAD_DECISION_SERVICE_NAME`
    `static int` | `COLUMN_INDEX_DOWNLOAD_RULEFLOW_URI`
    `static int` | `COLUMN_INDEX_DOWNLOAD_VERSION`
    `static int` | `MATRIX_ID_DEPLOY`
    `static int` | `MATRIX_ID_DOWNLOAD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploy(IProgressDelegate aIProgressDelegate)` Deploy all checked decision services.
    `void` | `displayNoRuleflowAssetsDiscovered()` Display a message indicating that no Ruleflow Assets were discovered within the selected projects.
    `void` | `download(IProgressDelegate aIProgressDelegate)` Download all checked decision services.
    `int` | `fetchDefaultColumnWidth(int aiMatrixID, int aiColumnIndex)` Fetch the default column width.
    `int` | `getCellEditorType(int aiMatrixID, int aiColumnIndex, int aiRowIndex)` Return an integer number representing the type of cell editor to use to edit the specified cell.
    `java.lang.String` | `getCellValue(int aiMatrixID, int aiColumnIndex, int aiRowIndex)` Get the cell value from the specified matrix, row and column index.
    `int` | `getColumnCountActual(int aiMatrixID)` Return the number of columns currently used in specified matrix.
    `int` | `getColumnCountDisplayed(int aiMatrixID)` Return the number of columns currently displayed in specified matrix.
    `int` | `getColumnHorizontalAlignment(int aiMatrixID, int aiColumnIndex)` Returns the recommended column horizontal alignment for a matrix column.
    `int` | `getCountDecisionServicesChecked(int aiMatrixID)` Return a count of the number of decision services that are checked.
    `java.util.List<java.lang.String>` | `getListCellItems(int aiMatrixID, int aiColumnIndex, int aiRowIndex)` Get a list of values available for the specified cell.
    `java.util.List<java.lang.String>` | `getListServerURLs()` Retrieve a list of Server URLs retrieved from the Corticon Properties file.
    `int` | `getRowCountActual(int aiMatrixID)` Return the number of rows currently used in specified matrix.
    `int` | `getRowCountDisplayed(int aiMatrixID)` Return the number of rows currently displayed in the specified matrix.
    `java.lang.String` | `getWorkspaceURI()` Get the optional workspace URI.
    `boolean` | `isAnyDecisionServiceChecked(int aiMatrixID)` Return `true` if any decision service is checked.
    `boolean` | `isCellProtected(int aiMatrixID, int aiColumnIndex, int aiRowIndex)` Return an indication of whether the cell is protected (i.e., it cannot be edited).
    `boolean` | `isPageCompleteDecisionServices(int aiMatrixID)` Determine whether the Decision Services wizard page is complete.
    `boolean` | `isPageCompleteDownloadProjectSelection()` Determine whether the Download Project Selection wizard page is complete.
    `boolean` | `isPageCompleteServerConnection()` Determine whether the Server Connection wizard page is complete.
    `boolean` | `isShowDatabaseAccessFields()` Determine whether the system should show database access fields.
    `void` | `loadDecisionServicesToDeploy(java.util.List<java.lang.String> alistURIs, IProgressDelegate aIProgressDelegate)` Using the specified Server URI, username and password, and a list of URIs of Ruleflows, load the MATRIX_ID_DEPLOY.
    `void` | `loadDecisionServicesToDownload()` Using the specified Server URI, username and password, load a list of decision services into MATRIX_ID_DOWNLOAD.
    `void` | `setAllDecisionServicesChecked(int aiMatrixID, boolean abChecked)` Set the "checked" status of all Decisions Service rows.
    `boolean` | `setCellValue(int aiMatrixID, int aiColumnIndex, int aiRowIndex, java.lang.String astrValue)` Set the value of the specified matrix, row and column index.
    `void` | `setDownloadFolderURI(java.lang.String astrDownloadFolderURI)` Set the download folder URI.
    `void` | `setPassword(java.lang.String astrPassword)` Set the password.
    `void` | `setReinstall(boolean abReinstall)` Set the reinstall flag.
    `void` | `setServerURL(java.lang.String astrServerURL)` Set the server URL.
    `void` | `setShowDatabaseFields(boolean abShowDatabaseAccessFields)` Set boolean that controls display of database access fields.
    `void` | `setUsername(java.lang.String astrUsername)` Set the username.
    `void` | `setWorkspaceURI(java.lang.String astrWorkspaceURI)` Set the optional workspace URI.
    `boolean` | `testConnection(boolean abQuiet)` Test the server connection and display a message box indicating success or failure.

    - ### Methods inherited from interface com.corticon.eclipse.core.IDialogAPI

      `displayMessageBox, getIExceptionDialogDelegate, getLocale, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getPreferences, getScrollableMessageDelegate, getUserInterfaceInfoDelegate, setIExceptionDialogDelegate, setLocale, setMessageBoxDelegate, setPreferencesDelegate, setScrollableMessageDelegate, setUserInterfaceInfoDelegate`

- - ### Field Detail

    - #### MATRIX_ID_DEPLOY

          static final int MATRIX_ID_DEPLOY

      See Also:
        Constant Field Values

    - #### MATRIX_ID_DOWNLOAD

          static final int MATRIX_ID_DOWNLOAD

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DEPLOY_CHECK_MARK

          static final int COLUMN_INDEX_DEPLOY_CHECK_MARK

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DEPLOY_DECISION_SERVICE_NAME

          static final int COLUMN_INDEX_DEPLOY_DECISION_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DEPLOY_VERSION

          static final int COLUMN_INDEX_DEPLOY_VERSION

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DEPLOY_STATUS

          static final int COLUMN_INDEX_DEPLOY_STATUS

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DEPLOY_DATABASE_ACCESS_MODE

          static final int COLUMN_INDEX_DEPLOY_DATABASE_ACCESS_MODE

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DEPLOY_RETURN_ENTITIES_MODE

          static final int COLUMN_INDEX_DEPLOY_RETURN_ENTITIES_MODE

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DEPLOY_RULEFLOW_URI

          static final int COLUMN_INDEX_DEPLOY_RULEFLOW_URI

      See Also:
        Constant Field Values

    - #### COLUMN_COUNT_DEPLOY

          static final int COLUMN_COUNT_DEPLOY

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DOWNLOAD_CHECK_MARK

          static final int COLUMN_INDEX_DOWNLOAD_CHECK_MARK

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DOWNLOAD_DECISION_SERVICE_NAME

          static final int COLUMN_INDEX_DOWNLOAD_DECISION_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DOWNLOAD_VERSION

          static final int COLUMN_INDEX_DOWNLOAD_VERSION

      See Also:
        Constant Field Values

    - #### COLUMN_INDEX_DOWNLOAD_RULEFLOW_URI

          static final int COLUMN_INDEX_DOWNLOAD_RULEFLOW_URI

      See Also:
        Constant Field Values

    - #### COLUMN_COUNT_DOWNLOAD

          static final int COLUMN_COUNT_DOWNLOAD

      See Also:
        Constant Field Values

    - #### BOOLEAN_VALUE_CHECKED

          static final java.lang.String BOOLEAN_VALUE_CHECKED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### deploy

          void deploy(IProgressDelegate aIProgressDelegate)

      Deploy all checked decision services.
      Parameters:
        `aIProgressDelegate` - Progress delegate or `null` if no progress reporting is needed.

    - #### displayNoRuleflowAssetsDiscovered

          void displayNoRuleflowAssetsDiscovered()

      Display a message indicating that no Ruleflow Assets were discovered within the selected projects.

    - #### download

          void download(IProgressDelegate aIProgressDelegate)

      Download all checked decision services.
      Parameters:
        `aIProgressDelegate` - Progress delegate or `null` if no progress reporting is needed.

    - #### fetchDefaultColumnWidth

          int fetchDefaultColumnWidth(int aiMatrixID,
                                    int aiColumnIndex)

      Fetch the default column width.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
        `aiColumnIndex` - Index of column whose value should be returned.
      Returns:
        Default column width.

    - #### getCellEditorType

          int getCellEditorType(int aiMatrixID,
                              int aiColumnIndex,
                              int aiRowIndex)

      Return an integer number representing the type of cell editor to use to edit the specified cell.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
        `aiColumnIndex` - Index of column whose value should be returned.
        `aiRowIndex` - Index of row whose value should be returned.
      Returns:
        Cell editor type (e.g., Constants.CELL_EDITOR_TEXT).

    - #### getCellValue

          java.lang.String getCellValue(int aiMatrixID,
                                      int aiColumnIndex,
                                      int aiRowIndex)

      Get the cell value from the specified matrix, row and column index.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
        `aiColumnIndex` - Index of column whose value should be returned.
        `aiRowIndex` - Index of row whose value should be returned.
      Returns:
        Cell value as string.

    - #### getColumnCountActual

          int getColumnCountActual(int aiMatrixID)

      Return the number of columns currently used in specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
      Returns:
        Column count.

    - #### getListServerURLs

          java.util.List<java.lang.String> getListServerURLs()

      Retrieve a list of Server URLs retrieved from the Corticon Properties file.
      Returns:
        List of server URLs.

    - #### getColumnCountDisplayed

          int getColumnCountDisplayed(int aiMatrixID)

      Return the number of columns currently displayed in specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
      Returns:
        Column count.

    - #### getColumnHorizontalAlignment

          int getColumnHorizontalAlignment(int aiMatrixID,
                                         int aiColumnIndex)

      Returns the recommended column horizontal alignment for a matrix column.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
        `aiColumnIndex` - Column index.
      Returns:
        Constant indicating recommended alignment (e.g., COLUMN_HORIZONTAL_ALIGNMENT_CENTER).

    - #### getCountDecisionServicesChecked

          int getCountDecisionServicesChecked(int aiMatrixID)

      Return a count of the number of decision services that are checked.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
      Returns:
        Count of decision services checked.

    - #### getListCellItems

          java.util.List<java.lang.String> getListCellItems(int aiMatrixID,
                                                          int aiColumnIndex,
                                                          int aiRowIndex)

      Get a list of values available for the specified cell. This list of values is typically used to populate the items of a combo box or drop-down control.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
        `aiColumnIndex` - Index of column whose value should be returned.
        `aiRowIndex` - Index of row whose value should be returned.
      Returns:
        List of items (strings) used to populate the drop-down list.

    - #### getRowCountActual

          int getRowCountActual(int aiMatrixID)

      Return the number of rows currently used in specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
      Returns:
        Row count.

    - #### getRowCountDisplayed

          int getRowCountDisplayed(int aiMatrixID)

      Return the number of rows currently displayed in the specified matrix.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
      Returns:
        Row count.

    - #### getWorkspaceURI

          java.lang.String getWorkspaceURI()

      Get the optional workspace URI.
      Returns:
        Workspace URI or `null`.

    - #### isAnyDecisionServiceChecked

          boolean isAnyDecisionServiceChecked(int aiMatrixID)

      Return `true` if any decision service is checked.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
      Returns:
        `true` if any decision service is checked.

    - #### isCellProtected

          boolean isCellProtected(int aiMatrixID,
                                int aiColumnIndex,
                                int aiRowIndex)

      Return an indication of whether the cell is protected (i.e., it cannot be edited). Protected cells are typically displayed in gray.
      Parameters:
        `aiMatrixID` - Matrix ID.
        `aiColumnIndex` - Column index of cell whose state is to be tested.
        `aiRowIndex` - Row index of cell whose state is to be tested.
      Returns:
        `true` if the specified cell is protected.

    - #### isPageCompleteServerConnection

          boolean isPageCompleteServerConnection()

      Determine whether the Server Connection wizard page is complete.
      Returns:
        `true` if Server Connection wizard page is complete.

    - #### isShowDatabaseAccessFields

          boolean isShowDatabaseAccessFields()

      Determine whether the system should show database access fields.
      Returns:
        `true` system should show database access fields.

    - #### isPageCompleteDecisionServices

          boolean isPageCompleteDecisionServices(int aiMatrixID)

      Determine whether the Decision Services wizard page is complete.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
      Returns:
        `true` if Decision Services wizard page is complete.

    - #### isPageCompleteDownloadProjectSelection

          boolean isPageCompleteDownloadProjectSelection()

      Determine whether the Download Project Selection wizard page is complete.
      Returns:
        `true` if Download Project Selection wizard page is complete.

    - #### loadDecisionServicesToDeploy

          void loadDecisionServicesToDeploy(java.util.List<java.lang.String> alistURIs,
                                          IProgressDelegate aIProgressDelegate)

      Using the specified Server URI, username and password, and a list of URIs of Ruleflows, load the MATRIX_ID_DEPLOY.
      Parameters:
        `alistURIs` - List of URIs.
        `aIProgressDelegate` - Progress delegate or `null` if no progress reporting is needed.

    - #### loadDecisionServicesToDownload

          void loadDecisionServicesToDownload()

      Using the specified Server URI, username and password, load a list of decision services into MATRIX_ID_DOWNLOAD.

    - #### setAllDecisionServicesChecked

          void setAllDecisionServicesChecked(int aiMatrixID,
                                           boolean abChecked)

      Set the "checked" status of all Decisions Service rows.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
        `abChecked` - `true` to set all rows to checked; otherwise unchecked.

    - #### setCellValue

          boolean setCellValue(int aiMatrixID,
                             int aiColumnIndex,
                             int aiRowIndex,
                             java.lang.String astrValue)

      Set the value of the specified matrix, row and column index.
      Parameters:
        `aiMatrixID` - Matrix ID (e.g., MATRIX_ID_DEPLOY).
        `aiColumnIndex` - Index of column whose value should be set.
        `aiRowIndex` - Index of row whose value should be set.
        `astrValue` - Value to set.
      Returns:
        `true` if the set command was successful.

    - #### setServerURL

          void setServerURL(java.lang.String astrServerURL)

      Set the server URL.
      Parameters:
        `astrServerURL` - Server URL.

    - #### setUsername

          void setUsername(java.lang.String astrUsername)

      Set the username.
      Parameters:
        `astrUsername` - Username.

    - #### setPassword

          void setPassword(java.lang.String astrPassword)

      Set the password.
      Parameters:
        `astrPassword` - Password.

    - #### setReinstall

          void setReinstall(boolean abReinstall)

      Set the reinstall flag.
      Parameters:
        `abReinstall` - `true` to enable re-installation.

    - #### setShowDatabaseFields

          void setShowDatabaseFields(boolean abShowDatabaseAccessFields)

      Set boolean that controls display of database access fields.
      Parameters:
        `abDatabaseAccessEnabled` - `true`

    - #### testConnection

          boolean testConnection(boolean abQuiet)

      Test the server connection and display a message box indicating success or failure.
      Parameters:
        `abQuiet` - `true`
      Returns:
        `true` if connection was successful.

    - #### setWorkspaceURI

          void setWorkspaceURI(java.lang.String astrWorkspaceURI)

      Set the optional workspace URI. If this value is supplied, Ruleflow URIs in the decision services table will be be trimmed so that they are presented as workspace- relative.
      Parameters:
        `astrWorkspaceURI` - WorkspaceURI.

    - #### setDownloadFolderURI

          void setDownloadFolderURI(java.lang.String astrDownloadFolderURI)

      Set the download folder URI. This URI specifies the path of the folder that will be used to contain downloaded assets.
      Parameters:
        `astrDownloadFolderURI` - URI of folder to contain downloaded assets.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.